
extern "C" long __stdcall RVAToOffset(void *pFileMap, DWORD RVA);

#define arrcount(arr) (sizeof(arr))/(sizeof(arr[0]))


#define	ID_MAIN_TAB		0x5000
#define ID_RECV_EDIT	0x5001
#define ID_SEND_EDIT	0x5002
#define ID_STATUS		0x5003

#define IDM_CLOSETAB	0x100
#define IDM_CLOSEALL	0x101

#pragma pack(1)
typedef struct
{
	bool			bActive;			//Set if this hook entry is in use
	char			padding[3];
	unsigned int	hookIndex;			//index in hookTable	
	DWORD			pReturnAddress;		//address to return to after hook
	DWORD			oldEDI;				//old EDI
	DWORD			params[12];			//Parameters	
} ACTIVE_HOOK;
#pragma pack()



#define HOOK_INDEX_SOCKET 0
#define HOOK_INDEX_RECV 1
#define HOOK_INDEX_SEND 2
#define HOOK_INDEX_CLOSE 3
#define HOOK_INDEX_ACCEPT 4

// WSA* equivalents:

#define HOOK_INDEX_WSOCKETA 5
#define HOOK_INDEX_WSOCKETW 6
#define HOOK_INDEX_WSEND 7
#define HOOK_INDEX_WACCEPT 8
#define HOOK_INDEX_WRECV 9

// Old winsock equivalents:

#define HOOK_INDEX_OACCEPT 10
#define HOOK_INDEX_OCLOSE 11
#define HOOK_INDEX_ORECV 12
#define HOOK_INDEX_OSEND 13
#define HOOK_INDEX_OSOCKET 14
	